#ifndef GUI_WRITER_H
#define GUI_WRITER_H

#include "mapstorage.h"
#include <lemon/lemon_writer.h>

using lemon::LemonWriter;

class GuiWriter : public LemonWriter::SectionWriter
{
  private:
    MapStorage* mapstorage;
  protected:
    virtual std::string header();
    virtual void write(std::ostream&);
  public:
    typedef LemonWriter::SectionWriter Parent;
    GuiWriter(LemonWriter&, MapStorage*);
};

#endif
